Core - Bug # 56187

Status: Resolved Priority: Should have
Author: Helmut Hummel Category: Unit/Functional Tests
Created: 2014-02-21 Assigned To:

Updated: 2014-02-22 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Add additional configuration for functional tests

Description

Our functional test suit does not fail currently when

tested code emits a PHP warning. This is due to the

fact that the factory configuration uses the

production exception handler which silently discards

warnings.

This change adds an AdditionalConfiguration file

which is copied to each functional test instance.

In this configuration the TYPO3 exception handling

is disabled and the core and classes cache is

disabled.

Related issues:

related to Core - Task # 56086: Impexp functional tests do not fail on wrong ... Resolved 2014-02-18

Associated revisions

Revision 36d545bf - 2014-02-21 22:51 - Helmut Hummel

[BUGFIX] Fix PHP warnings in functional tests

Some PHP warnings occur in functional tests due
to missing initialization of arrays or unused

function parameters.

Resolves: #56203

Related: #56187

Releases: 6.0

Change-Id: 11cd75de253382759315a8f72cff6e497b31bcc07
Reviewed-on: https://review.typo3.org/27785

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 9551ac77 - 2014-02-22 15:38 - Helmut Hummel

[TASK] Add additional configuration for functional tests
https://review.typo3.org/27785

Our functional test suit does not fail currently when
tested code emits a PHP warning. This is due to the
fact that the factory configuration uses the
production exception handler which silently discards

warnings.

This change adds additional configuration that
is merged with the factory configuration.

In this configuration the TYPOS exception handling
is disabled and the core and classes cache is
disabled.

Additionally a new property is added to the base
class to easily add some configuration values that

might be needed for the test case.

Resolves: #56187

Related: #56086

Releases: 6.2

Change-Id: 15c7¢c2c0d495bae06a56d2285b8d521eaadab37d2
Reviewed-on: https://review.typo3.0rg/27773

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2014-02-21 15:24 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27773

#2 - 2014-02-21 16:13 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27773

#3 - 2014-02-21 22:46 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27773

#4 - 2014-02-22 16:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9551ac77d02c59854eccc0f3388f7b1dc1a72652.
